## ros-melodic-mrpt-slam 0.1.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mrpt_slam)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-mrpt-slam (0.1.10-1stretch) stretch; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.9-1stretch) stretch; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.8-1stretch) stretch; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.7-1stretch) stretch; urgency=high

  * metapkg: Add missing graphslam
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.6-1stretch) stretch; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.5-1stretch) stretch; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-slam (0.1.3-1stretch) stretch; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.2-1stretch) stretch; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.1-1stretch) stretch; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Jose Luis Blanco-Claraco, Logrus

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mrpt-slam
Section: misc
Priority: extra
Maintainer: Vladislav Tananaev <v.d.tananaev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/mrpt_slam
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-mrpt-ekf-slam-2d, ros-melodic-mrpt-ekf-slam-3d, ros-melodic-mrpt-graphslam-2d, ros-melodic-mrpt-icp-slam-2d, ros-melodic-mrpt-rbpf-slam
Description: mrpt_slam

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mrpt-slam//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mrpt-slam 0.1.13

=== debian/changelog ===
ros-melodic-mrpt-slam (0.1.13-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 06 Apr 2023 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.12-1bionic) bionic; urgency=high

  * Remove mrpt_graphslam_2d for melodic due to missing dependency
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.11-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.10-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.9-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.8-1bionic) bionic; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.7-1bionic) bionic; urgency=high

  * metapkg: Add missing graphslam
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.6-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.5-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-slam (0.1.3-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.2-1bionic) bionic; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-slam (0.1.1-1bionic) bionic; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Jose Luis Blanco-Claraco, Logrus

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mrpt-slam
Section: misc
Priority: optional
Maintainer: Vladislav Tananaev <v.d.tananaev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/mrpt_slam
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-mrpt-ekf-slam-2d, ros-melodic-mrpt-ekf-slam-3d, ros-melodic-mrpt-icp-slam-2d, ros-melodic-mrpt-rbpf-slam
Description: mrpt_slam

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
